For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add a payment method to a store

Add a payment method to a store

Required permissions: PAYMENT_METHOD

post
/tenants/{tenantUid}/stores/{storeUid}/paymentmethods
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanOptional
ledgerNumberstringOptional

Ledger number must be a valid number with possible leading zeros

ledgerTypestring · enumOptional
ENUMDescription
LEDGERLedger
GENERAL_LEDGERGeneral ledger
CUSTOMER_LEDGERCustomer ledger
Possible values:
tenantPaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storePaymentMethodUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

StorePaymentMethod response

application/json
activebooleanRequired
ledgerNumberstringRequired

Ledger number must be a valid number with possible leading zeros

ledgerTypestring · enumRequired
ENUMDescription
LEDGERLedger
GENERAL_LEDGERGeneral ledger
CUSTOMER_LEDGERCustomer ledger
Possible values:
storePaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeSettlementIssuersbooleanRequired

Bool indication there are storeSettlementIssuer records on this storePaymentMethod

post/tenants/{tenantUid}/stores/{storeUid}/paymentmethods
POST /v2/tenants/{tenantUid}/stores/{storeUid}/paymentmethods HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 122

{
  "active": true,
  "ledgerNumber": "text",
  "ledgerType": "LEDGER",
  "tenantPaymentMethodUid": "text",
  "storePaymentMethodUid": "text"
}
200

StorePaymentMethod response

{
  "active": true,
  "ledgerNumber": "text",
  "ledgerType": "LEDGER",
  "storePaymentMethodUid": "text",
  "storeSettlementIssuers": true,
  "tenantPaymentMethod": {
    "active": true,
    "name": "text",
    "description": "text",
    "receiptText": "text",
    "settlementCode": "text",
    "paymentMethod": {
      "allowRefund": true,
      "allowSale": true,
      "allowAmount": true,
      "allowCashback": true,
      "allowPrepayment": true,
      "requireExclusiveUse": true,
      "name": "text",
      "parameters": [
        {
          "key": "text",
          "keyType": "TEXT",
          "name": "text",
          "required": true
        }
      ],
      "paymentCode": "CASH"
    },
    "allowRefund": true,
    "tenantPaymentMethodUid": "text",
    "allowSale": true,
    "allowPrepayment": true,
    "allowCashback": true,
    "parameters": [
      {
        "name": "text",
        "description": "text",
        "required": true,
        "key": "text",
        "type": "TEXT",
        "regex": "text"
      }
    ],
    "externalSystemMappings": [
      {
        "systemCode": "OMNIUM",
        "externalId": "text",
        "tenantPaymentMethodMappingUid": "text"
      }
    ],
    "position": 1,
    "visibility": "FEATURED",
    "requirements": {
      "requireCustomer": true,
      "requireCustomerMobile": true,
      "requireCustomerEmail": true,
      "requireCustomerType": "ANY",
      "requireCustomerContact": true,
      "requireExclusiveUse": true,
      "requireRefundToSameMethod": true
    },
    "amountInput": "NONE",
    "useRounding": true
  }
}

Last updated

Was this helpful?